package com.ittim.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ittim.admin.entity.Person;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author zzj
 * @Description TODO
 * @date 2020/9/28
 */
@Mapper
public interface PersonMapper extends BaseMapper<Person> {

    int updateBatch(List<Person> list);

    int batchInsert(@Param("list") List<Person> list);

    IPage<Person> selectOrderByCreateTime(IPage<Person> page);

    IPage<Person> selectByAll(IPage<Person> page, @Param("person") Person person);

}