package com.ittim.admin;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.ComponentScan;
import org.wf.jwtp.configuration.EnableJwtPermission;

@Slf4j
@EnableJwtPermission
@ServletComponentScan
@ComponentScan(value = "com.ittim.*")
@SpringBootApplication
public class IttimBackendApplication {

    public static void main(String[] args) {
        SpringApplication.run(IttimBackendApplication.class, args);
    }

}
