package com.ittim.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @author zzj
 * @Description TODO
 * @date 2020/9/30
 */
@ApiModel(value = "com-ittim-admin-entity-OauthTokenKey")
@Data
@TableName(value = "oauth_token_key")
public class OauthTokenKey implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    /**
     * 生成token时的key
     */
    @TableField(value = "token_key")
    @ApiModelProperty(value = "生成token时的key")
    private String tokenKey;

    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_TOKEN_KEY = "token_key";

    public static final String COL_CREATE_TIME = "create_time";
}