package com.ittim.admin.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ittim.common.bean.PageRequest;
import org.springframework.stereotype.Service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ittim.admin.entity.Person;
import com.ittim.admin.mapper.PersonMapper;
import com.ittim.admin.service.PersonService;

/**
 * @author zzj
 * @Description TODO
 * @date 2020/9/28
 */
@Service
public class PersonServiceImpl extends ServiceImpl<PersonMapper, Person> implements PersonService {

    @Override
    public int updateBatch(List<Person> list) {
        return baseMapper.updateBatch(list);
    }

    @Override
    public int batchInsert(List<Person> list) {
        return baseMapper.batchInsert(list);
    }

    @Override
    public IPage<Person> selectOrderByCreateTime(PageRequest pageRequest) {
        IPage<Person> page = new Page<>(pageRequest.getPage(), pageRequest.getPageSize());
        return baseMapper.selectOrderByCreateTime(page);
    }

    @Override
    public IPage<Person> selectByAll(PageRequest pageRequest, Person person) {
        IPage<Person> page = new Page<>(pageRequest.getPage(), pageRequest.getPageSize());
        return baseMapper.selectByAll(page, person);
    }

}
