package com.ittim.common.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @author zzj
 * @Description 分页请求参数
 * @date 2020/9/17
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PageRequest {

    @ApiModelProperty(value = "当前页")
    private Integer page = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;

}
